summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/l/liboil/liboil.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/l/liboil/liboil.SlackBuild')
-rwxr-xr-xslackware64-current/source/l/liboil/liboil.SlackBuild9
1 files changed, 6 insertions, 3 deletions
diff --git a/slackware64-current/source/l/liboil/liboil.SlackBuild b/slackware64-current/source/l/liboil/liboil.SlackBuild
index 1e902810a..df96f1d58 100755
--- a/slackware64-current/source/l/liboil/liboil.SlackBuild
+++ b/slackware64-current/source/l/liboil/liboil.SlackBuild
@@ -31,7 +31,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=liboil
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -75,7 +75,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
-cd $PKGNAM-$VERSION
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -93,11 +93,14 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--enable-shared=yes \
--enable-static=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null